<ng-container *transloco="let t">
  <mat-card class="filter-card">
    <mat-card-content>
      <div class="search-bar-wrapper">
        <moe-search-input [formControl]="filterControl" class="search-bar" />

        <button
          (click)="resetControlValue()"
          [disabled]="isEmpty"
          color="warn"
          mat-flat-button
        >
          {{ t('COMPONENTS.SELECT_TAGS_LIST.RESET_BTN') }}
        </button>
      </div>

      @if (filteredTagGroups$ | async; as tagGroups) {
      <div class="tag-groups" [formGroup]="tagGroupsControl()">
        @for (group of tagGroups | keyvalue; track group.key) {
        <div class="tag-group">
          <div class="tag-group__header">
            <h3 class="header__title mat-headline-6">{{ group.key }}</h3>
            <mat-divider class="header__divider" />
          </div>
          <div class="tag-group__tags">
            @for (tag of group.value; track tag.name) {
            <moe-manga-tag-chip [formControlName]="tag.slug" [tag]="tag" />
            }
          </div>
        </div>
        }
      </div>
      } @else {
      <div class="tags-skeleton">
        <moe-skeleton
          *ngFor="let i; repeat: 8"
          width="5rem"
          height="2rem"
        ></moe-skeleton>
      </div>
      }
    </mat-card-content>
  </mat-card>
</ng-container>
